Uses of Interface
org.apache.camel.builder.endpoint.dsl.VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder
-
Packages that use VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder Package Description org.apache.camel.builder.endpoint org.apache.camel.builder.endpoint.dsl -
-
Uses of VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder Modifier and Type Method Description static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderStaticEndpointBuilders. vertxWebsocket(String path)Vert.x WebSocket (camel-vertx-websocket) Expose WebSocket endpoints and connect to remote WebSocket servers using Vert.x Category: websocket Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-websocket Syntax:vertx-websocket:host:port/pathPath parameter: host The host that the consumer should bind to or the host of the remote websocket destination that the producer should connect to Default value: 0.0.0.0 Path parameter: port The port that the consumer should bind to or port of the remote websocket destination that the producer should connect to Default value: 0 Path parameter: path (required) The path that the consumer should bind to or path of the remote websocket destination that the producer should connect to Default value: /static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderStaticEndpointBuilders. vertxWebsocket(String componentName, String path)Vert.x WebSocket (camel-vertx-websocket) Expose WebSocket endpoints and connect to remote WebSocket servers using Vert.x Category: websocket Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-websocket Syntax:vertx-websocket:host:port/pathPath parameter: host The host that the consumer should bind to or the host of the remote websocket destination that the producer should connect to Default value: 0.0.0.0 Path parameter: port The port that the consumer should bind to or port of the remote websocket destination that the producer should connect to Default value: 0 Path parameter: path (required) The path that the consumer should bind to or path of the remote websocket destination that the producer should connect to Default value: / -
Uses of VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder Modifier and Type Method Description default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory.AdvancedVertxWebsocketEndpointBuilder. basic()static VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory. endpointBuilder(String componentName, String path)default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder. sslContextParameters(String sslContextParameters)To configure security using SSLContextParameters.default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilder. sslContextParameters(org.apache.camel.support.jsse.SSLContextParameters sslContextParameters)To configure security using SSLContextParameters.default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory.VertxWebsocketBuilders. vertxWebsocket(String path)Vert.x WebSocket (camel-vertx-websocket) Expose WebSocket endpoints and connect to remote WebSocket servers using Vert.x Category: websocket Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-websocket Syntax:vertx-websocket:host:port/pathPath parameter: host The host that the consumer should bind to or the host of the remote websocket destination that the producer should connect to Default value: 0.0.0.0 Path parameter: port The port that the consumer should bind to or port of the remote websocket destination that the producer should connect to Default value: 0 Path parameter: path (required) The path that the consumer should bind to or path of the remote websocket destination that the producer should connect to Default value: /default VertxWebsocketEndpointBuilderFactory.VertxWebsocketEndpointBuilderVertxWebsocketEndpointBuilderFactory.VertxWebsocketBuilders. vertxWebsocket(String componentName, String path)Vert.x WebSocket (camel-vertx-websocket) Expose WebSocket endpoints and connect to remote WebSocket servers using Vert.x Category: websocket Since: 3.5 Maven coordinates: org.apache.camel:camel-vertx-websocket Syntax:vertx-websocket:host:port/pathPath parameter: host The host that the consumer should bind to or the host of the remote websocket destination that the producer should connect to Default value: 0.0.0.0 Path parameter: port The port that the consumer should bind to or port of the remote websocket destination that the producer should connect to Default value: 0 Path parameter: path (required) The path that the consumer should bind to or path of the remote websocket destination that the producer should connect to Default value: /
-